Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356432 - Log flooded with message while sending promoted errata mail
Summary: Log flooded with message while sending promoted errata mail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Email
Version: 6.1.9
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Daniel Lobato Garcia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 06:25 UTC by Ranjan Kumar
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15637 None None None 2016-07-14 06:26:38 UTC

Description Ranjan Kumar 2016-07-14 06:25:40 UTC
Description of problem:
Log flooded with message while sending promoted errata mail

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.89/app/views/katello/errata_mailer/_erratum.html.erb (0.5ms)
2016-07-14 11:26:46 [I]   Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.89/app/views/katello/errata_mailer/_erratum.html.erb (0.5ms)
2016-07-14 11:26:46 [I]   Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.89/app/views/katello/errata_mailer/_erratum.html.erb (0.5ms)
2016-07-14 11:26:46 [I]   Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.89/app/views/katello/errata_mailer/_erratum.html.erb (0.5ms)
...

How reproducible:
Set log level to debug in config/environments/production.rb
Open foreman-rake console and fire below command
> options = {:user => User.find_by_login('admin'), :environment => Katello::KTEnvironment.find(2), :content_view => Katello::ContentView.find(2)}

> Katello::ErrataMailer.promote_errata(options).deliver



Actual results:
Log flood with render message

Comment 2 Bryan Kearney 2016-07-14 08:16:18 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15637 has been closed

Comment 4 Daniel Lobato Garcia 2017-08-30 10:09:20 UTC
Verified.

Tested on Satellite 6.3 - Snap 13.

2017-08-30 06:07:28  [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.4/app/views/katello/errata_mailer/_host_dashboard.html.erb (6.2ms)
2017-08-30 06:07:28  [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.4/app/views/katello/errata_mailer/promote_errata.html.erb within layouts/application_mailer (60.9ms)
2017-08-30 06:07:28  [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.4/app/views/katello/errata_mailer/promote_errata.text.erb (5.5ms)
2017-08-30 06:07:28  [app] [I] Current user: foreman_admin (administrator)
2017-08-30 06:07:28  [app] [I]
 | Sent mail to root@rhts.eng.bos.redhat.com (312.9ms)


By using the steps described to verify the issue in the original report, we can see how the logs are not flooded even on debug mode - just the 3 rendered partials are added to the log.

Comment 5 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.